org.activiti.engine.delegate.event.impl

## Class ActivitiEventSupport

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventSupport

-     public class ActivitiEventSupport
      extends Object

  Class that allows adding and removing event listeners and dispatching events to the appropriate listeners.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ActivitiEventListener>` | `eventListeners`
    `protected Map<ActivitiEventType,List<ActivitiEventListener>>` | `typedListeners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiEventSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(ActivitiEventListener listenerToAdd)`
    `void` | `addEventListener(ActivitiEventListener listenerToAdd, ActivitiEventType... types)`
    `protected void` | `addTypedEventListener(ActivitiEventListener listener, ActivitiEventType type)`
    `void` | `dispatchEvent(ActivitiEvent event)`
    `protected void` | `dispatchEvent(ActivitiEvent event, ActivitiEventListener listener)`
    `void` | `removeEventListener(ActivitiEventListener listenerToRemove)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventListeners

          protected List<ActivitiEventListener> eventListeners

    - #### typedListeners

          protected Map<ActivitiEventType,List<ActivitiEventListener>> typedListeners

  - ### Constructor Detail

    - #### ActivitiEventSupport

          public ActivitiEventSupport()

  - ### Method Detail

    - #### addEventListener

          public void addEventListener(ActivitiEventListener listenerToAdd)

    - #### addEventListener

          public void addEventListener(ActivitiEventListener listenerToAdd,
                                       ActivitiEventType... types)

    - #### removeEventListener

          public void removeEventListener(ActivitiEventListener listenerToRemove)

    - #### dispatchEvent

          public void dispatchEvent(ActivitiEvent event)

    - #### dispatchEvent

          protected void dispatchEvent(ActivitiEvent event,
                                       ActivitiEventListener listener)

    - #### addTypedEventListener

          protected void addTypedEventListener(ActivitiEventListener listener,
                                               ActivitiEventType type)

Copyright © 2016 Alfresco. All rights reserved.